# class Raven::Sidekiq::ErrorHandler

### Constants

SIDEKIQ_NAME

### Public Instance Methods

call(ex, context) click to toggle source

    # File sentry-raven/lib/raven/integrations/sidekiq/error_handler.rb, line 8
    def call(ex, context)
      context = Utils::ContextFilter.filter_context(context)
      Raven.context.transaction.push transaction_from_context(context)
      Raven.capture_exception(
        ex,
        :message => ex.message,
        :extra => { :sidekiq => context }
      )
      Context.clear!
      BreadcrumbBuffer.clear!
    end